Bug 314091 - tracing fenced kills the process
tracing fenced kills the process
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Ryan McCabe
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-01 11:56 EDT by Mark Hlawatschek
Modified: 2009-04-16 18:59 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0347
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:57:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Hlawatschek 2007-10-01 11:56:53 EDT
Description of problem:

A strace to the fenced pid causes fenced to stop

Version-Release number of selected component (if applicable):

fenced -V
fenced 2.0.70 (built Jul 13 2007 14:41:16)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.

How reproducible:

Always

Steps to Reproduce:
1. get pid of fenced
# ps ax | grep fenced
 9453 ?        Ss     0:00 fenced -c

2. strace the pid
strace -p 9453
Process 9453 attached - interrupt to quit
close(7)                                = 0
close(5)                                = 0
close(6)                                = 0
exit_group(-1)                          = ?
Process 9453 detached
  
Actual results:
fenced is not running any more

Expected results:
fenced should run in "traced" mode

Additional info:
Also a killall -SIGSTOP fenced; killall -SIGCONT fenced will stop the fenced.
Comment 1 Ryan McCabe 2007-10-01 12:34:41 EDT
Fix now in CVS.
Comment 2 RHEL Product and Program Management 2007-10-23 12:24:36 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 errata-xmlrpc 2008-05-21 11:57:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0347.html

Note You need to log in before you can comment on or make changes to this bug.